Debian Bug report logs - #622960
ITA: freemind -- Java Program for creating and viewing

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Eric L." <ewl+debian+nospam2014@lavar.de>

Date: Sat, 16 Apr 2011 08:00:02 UTC

Owned by: Willem van den Akker <wvdakker@wilsoft.nl>

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, freemind-developer@lists.sourceforge.net, wnpp@debian.org:
Bug#622960; Package wnpp. (Sat, 16 Apr 2011 08:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <bugs.debian.nospam@lavar.de>:
New Bug report received and forwarded. Copy sent to freemind-developer@lists.sourceforge.net, wnpp@debian.org. (Sat, 16 Apr 2011 08:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Lavarde <bugs.debian.nospam@lavar.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: freemind -- Java Program for creating and viewing Mindmaps
Date: Sat, 16 Apr 2011 09:51:50 +0200
Package: wnpp
Severity: normal

I request an adopter for the freemind package.

The package description is:
 Taking the Concept-Mapping approach to Human-Computer Interface design.
 A mind mapper, and at the same time an easy-to-operate hierarchical editor
 with strong emphasis on folding. These two are not really two different
 things, just two different descriptions of a single application. Often used
 for knowledge and content management.
 .
 FreeMind doesn't work with classpath based Java implementations. Use OpenJDK
 (or Sun's Java), and check freemind(1) for more information.

Additional notes:
1. reason is lack of time.
2. upstream is supportive for anybody willing to take over. Contact them
   through the SourceForge project.
3. package is also used in Ubuntu, lot of visibility, yeah!
4. The source code of the package is available under
   http://svn.debian.org/wsvn/pkg-java/trunk/freemind/#_trunk_freemind_
   and is under group maintenance from pkg-java-maintainers, see for a
   start http://pkg-java.alioth.debian.org/
5. I'd be of course happy to support anybody willing to take over the
   package, and explain the tricks of the package if required (not many,
   I think).
6. I'll probably orphan the package with the next major release (1.0?).




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Tue, 14 Jun 2011 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harry Michopoulos <hmichopoulos@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 14 Jun 2011 17:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 622960@bugs.debian.org (full text, mbox):

From: Harry Michopoulos <hmichopoulos@gmail.com>
To: 622960@bugs.debian.org
Subject: Freemind adoption
Date: Tue, 14 Jun 2011 20:21:21 +0300
[Message part 1 (text/plain, inline)]
Hi, I use frequently freemind for the last 2 years and debian for the last 8
years (as my main operating system).
Also, I have a really strong background in java.

I 'd like to adopt this great package.

Best regards
Haris
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sat, 25 Jun 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 25 Jun 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 622960@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: 622960@bugs.debian.org
Subject: interest in freemind
Date: Sat, 25 Jun 2011 19:02:12 +0200
[Message part 1 (text/plain, inline)]
Hi, like Harry Michopoulos I have been using freemind for a few years.
However my main background is not with Java, rather with general Debian
skills.

Dear Harry, if you need a sponsor to upload your work into Debian, I
would like to make it.

Best regards,			Georges.

-- 
Georges KHAZNADAR et Jocelyne FOURNIER
22 rue des mouettes, 59240 Dunkerque France.
Téléphone +33 (0)3 28 29 17 70

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sun, 29 Apr 2012 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay <jay.gnu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 29 Apr 2012 06:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 622960@bugs.debian.org (full text, mbox):

From: Jay <jay.gnu@gmail.com>
To: 622960@bugs.debian.org
Subject: Re: RFA: freemind -- Java Program for creating and viewing Mindmaps
Date: Tue, 17 Apr 2012 17:33:44 +0530
Hi,

If this package is still an orphan, I would like to adopt it. 

I have gone through the src from SourceForge and it doesn't seem very
complicated.

I have 7 yr exp in Java , couple of years in Python but relatively noob
to debian.

Lemme know !

Thanks
Jay





Changed Bug title to 'ITA: freemind -- Java Program for creating and viewing Mindmaps' from 'RFA: freemind -- Java Program for creating and viewing Mindmaps' Request was from Daniel Echeverry <epsilon77@gmail.com> to control@bugs.debian.org. (Wed, 01 Aug 2012 14:15:07 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Echeverry <epsilon77@gmail.com>. Request was from Daniel Echeverry <epsilon77@gmail.com> to control@bugs.debian.org. (Wed, 01 Aug 2012 14:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>:
Bug#622960; Package wnpp. (Sat, 04 Aug 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>. (Sat, 04 Aug 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #29 received at 622960@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>, 649226@bugs.debian.org
Cc: Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: freemind packaging needs jmapviewer
Date: Sat, 04 Aug 2012 14:07:17 +0000
Hi Andrew,

How goes the jmapviewer packaging? As I see, there's a git
repository[1], but it seems it was never uploaded nor update for eight
months now. I intend to adopt freemind[2] and almost ready packaging its
newest release, 1.0.0~beta5. However it needs jmapviewer to build
correctly.
Are you still interested to maintain it or should I finish packaging
that as well?

Regards,
Laszlo/GCS
[1] http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
[2] http://freemind.sourceforge.net/wiki/index.php/Main_Page




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>:
Bug#622960; Package wnpp. (Sun, 05 Aug 2012 10:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>. (Sun, 05 Aug 2012 10:27:06 GMT) Full text and rfc822 format available.

Message #34 received at 622960@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 20:24:14 +1000
[Message part 1 (text/plain, inline)]
Hi Laszlo,

On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
> Hi Andrew,
> 
> How goes the jmapviewer packaging? As I see, there's a git
> repository[1], but it seems it was never uploaded nor update for eight
> months now.

I don't think it was uploaded to Debian because I couldn't find a DD to
sponsor it. However, I believe it still needs some more work anyway.

I originally started packaging it as it is required by osmembrane, but I
never follow through with getting it uploaded to Debian/getting the
packaging quality up.

> I intend to adopt freemind[2] and almost ready packaging its
> newest release, 1.0.0~beta5. However it needs jmapviewer to build
> correctly.
> Are you still interested to maintain it or should I finish packaging
> that as well?

I don't know if I can commit to anything, but I can try to help out with
its packaging. So happy to either co-maintain, or co-contribution of
packaging work.

Which version of jmapviewer does freemind need? Because I noticed that
if I updated the alioth packaging for jmapviewer to the latest, it would
pull in an embedded MapQuest logo, so we would need to either cut it
out, or ensure it is DFSG compliant.

I'm more than happy to try to help out or for you to work directly off
http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary

I'm not exactly sure how much time I'll have to look into it. I'll try,
but feel free to jump ahead and work on it yourself.

> 
> Regards,
> Laszlo/GCS
> [1] http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
> [2] http://freemind.sourceforge.net/wiki/index.php/Main_Page
> 


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>:
Bug#622960; Package wnpp. (Sun, 05 Aug 2012 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>. (Sun, 05 Aug 2012 10:48:03 GMT) Full text and rfc822 format available.

Message #39 received at 622960@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 10:45:46 +0000
Hi Andrew,

On Sun, 2012-08-05 at 20:24 +1000, Andrew Harvey wrote:
> On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
> > How goes the jmapviewer packaging? As I see, there's a git
> > repository[1], but it seems it was never uploaded nor update for eight
> > months now.
> I don't think it was uploaded to Debian because I couldn't find a DD to
> sponsor it. However, I believe it still needs some more work anyway.
 Now you've found a DD who would upload it. Sure, it needs to be updated
to the newest stable version and conforms to the latest Debian policy.

> > Are you still interested to maintain it or should I finish packaging
> > that as well?
> I don't know if I can commit to anything, but I can try to help out with
> its packaging. So happy to either co-maintain, or co-contribution of
> packaging work.
 Well, somehow you created it. You are set as owner and it seems you did
some commit to it.

> Which version of jmapviewer does freemind need? Because I noticed that
> if I updated the alioth packaging for jmapviewer to the latest, it would
> pull in an embedded MapQuest logo, so we would need to either cut it
> out, or ensure it is DFSG compliant.
 Sure, the image should be DFSG compliant as well. I don't know the
required version number, even if freemind contains the source jar for
jmapviewer. I couldn't find its version number. Is there any release at
all? What I could find is:
http://svn.openstreetmap.org/applications/viewer/jmapviewer/releases/2011-02-19/
Nothing more. No version number, just a date.

> I'm more than happy to try to help out or for you to work directly off
> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
> I'm not exactly sure how much time I'll have to look into it. I'll try,
> but feel free to jump ahead and work on it yourself.
 So you mean I can be its maintainer and set you as uploader?

Cheers,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>:
Bug#622960; Package wnpp. (Sun, 05 Aug 2012 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Echeverry <epsilon77@gmail.com>. (Sun, 05 Aug 2012 10:51:06 GMT) Full text and rfc822 format available.

Message #44 received at 622960@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 20:48:19 +1000
[Message part 1 (text/plain, inline)]
On 05/08/12 20:45, Laszlo Boszormenyi (GCS) wrote:
> Hi Andrew,
> 
> On Sun, 2012-08-05 at 20:24 +1000, Andrew Harvey wrote:
>> On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
>>> How goes the jmapviewer packaging? As I see, there's a git
>>> repository[1], but it seems it was never uploaded nor update for eight
>>> months now.
>> I don't think it was uploaded to Debian because I couldn't find a DD to
>> sponsor it. However, I believe it still needs some more work anyway.
>  Now you've found a DD who would upload it. Sure, it needs to be updated
> to the newest stable version and conforms to the latest Debian policy.

Good. Okay then I'll spend some time this week trying to get it in
better shape.

>>> Are you still interested to maintain it or should I finish packaging
>>> that as well?
>> I don't know if I can commit to anything, but I can try to help out with
>> its packaging. So happy to either co-maintain, or co-contribution of
>> packaging work.
>  Well, somehow you created it. You are set as owner and it seems you did
> some commit to it.
> 
>> Which version of jmapviewer does freemind need? Because I noticed that
>> if I updated the alioth packaging for jmapviewer to the latest, it would
>> pull in an embedded MapQuest logo, so we would need to either cut it
>> out, or ensure it is DFSG compliant.
>  Sure, the image should be DFSG compliant as well. I don't know the
> required version number, even if freemind contains the source jar for
> jmapviewer. I couldn't find its version number. Is there any release at
> all? What I could find is:
> http://svn.openstreetmap.org/applications/viewer/jmapviewer/releases/2011-02-19/
> Nothing more. No version number, just a date.

I've just been using the upstream vcs revision as the version.

>> I'm more than happy to try to help out or for you to work directly off
>> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
>> I'm not exactly sure how much time I'll have to look into it. I'll try,
>> but feel free to jump ahead and work on it yourself.
>  So you mean I can be its maintainer and set you as uploader?

I don't mind maintaining it myself. But if you want to take over I'm
fine with that too. I don't mind either way.

> 
> Cheers,
> Laszlo/GCS
> 


[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFA: freemind -- Java Program for creating and viewing Mindmaps' from 'ITA: freemind -- Java Program for creating and viewing Mindmaps' Request was from Daniel Echeverry <epsilon77@gmail.com> to control@bugs.debian.org. (Tue, 28 Aug 2012 22:54:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniel Echeverry <epsilon77@gmail.com>. Request was from Daniel Echeverry <epsilon77@gmail.com> to control@bugs.debian.org. (Tue, 28 Aug 2012 22:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Mon, 24 Dec 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Dec 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #53 received at 622960@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: gcs@debian.hu
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Does this package still need help
Date: Mon, 24 Dec 2012 21:31:42 +0000
[Message part 1 (text/plain, inline)]
Hello Guys,
                  Has this package been adopted? Is there anyone that needs
help?

Can we close it if not?

-- 
Regards
Martin Naughton
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sat, 09 Feb 2013 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willem van den Akker <wvdakker@wilsoft.nl>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 09 Feb 2013 10:54:04 GMT) Full text and rfc822 format available.

Message #58 received at 622960@bugs.debian.org (full text, mbox):

From: Willem van den Akker <wvdakker@wilsoft.nl>
To: 622960@bugs.debian.org
Subject: ITA: freemind -- Java Program for creating and viewing Mindmaps
Date: Sat, 09 Feb 2013 11:49:56 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal
X-Debbugs-CC: debian-devel@lists.debian.org

I am using this package a lot and like to (co) maintain.
I have good experiences in C, some less in Java but that wont be
a problem because I can catch up fast.

I maintain several smaller packages in Debian, so I have some packaging
skills

Greetings,

WIllem
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sat, 09 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <asb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Message #63 received at 622960@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: Willem van den Akker <wvdakker@wilsoft.nl>, 622960@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#622960: ITA: freemind -- Java Program for creating and viewing Mindmaps
Date: Sat, 9 Feb 2013 08:01:07 -0500
On Sat, Feb 9, 2013 at 5:49 AM, Willem van den Akker
<wvdakker@wilsoft.nl> wrote:
> I am using this package a lot and like to (co) maintain.
> I have good experiences in C, some less in Java but that wont be
> a problem because I can catch up fast.
>
> I maintain several smaller packages in Debian, so I have some packaging
> skills

Hi Willem,

Thanks for your interest in maintaining this package. The first step
is to retitle the bug from an RFA to an ITP. See:

http://www.debian.org/devel/wnpp/#howto-rfa
http://www.debian.org/Bugs/server-control#retitle

And set your self as the bug's owner:

http://www.debian.org/Bugs/server-control#owner

Thanks!

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sat, 09 Feb 2013 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 13:12:03 GMT) Full text and rfc822 format available.

Message #68 received at 622960@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Willem van den Akker <wvdakker@wilsoft.nl>, 622960@bugs.debian.org
Subject: Re: Bug#622960: ITA: freemind -- Java Program for creating and viewing Mindmaps
Date: Sat, 9 Feb 2013 14:08:58 +0100
On Sat, Feb 9, 2013 at 11:49 AM, Willem van den Akker
<wvdakker@wilsoft.nl> wrote:
> Package: wnpp
> Severity: normal
> X-Debbugs-CC: debian-devel@lists.debian.org
>
> I am using this package a lot and like to (co) maintain.
> I have good experiences in C, some less in Java but that wont be
> a problem because I can catch up fast.

Can you please elaborate why you think that we need both freemind and
freeplane in Debian? Quoting from
http://freeplane.sourceforge.net/wiki/index.php/Main_Page:

Freeplane was created because of problems with the popular open source
mind mapping program Freemind. Freeplane has been refactored from
Freemind to make its code and packages more modular, make it easier
for new software developers to contribute to Freeplane development,
and to release new versions of Freeplane more often.

Cheers,
Reinhard

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Sun, 10 Feb 2013 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willem van den Akker <wvdakker@wilsoft.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Feb 2013 22:36:03 GMT) Full text and rfc822 format available.

Message #73 received at 622960@bugs.debian.org (full text, mbox):

From: Willem van den Akker <wvdakker@wilsoft.nl>
To: Reinhard Tartler <siretart@gmail.com>
Cc: 622960@bugs.debian.org
Subject: Re: Bug#622960: ITA: freemind -- Java Program for creating and viewing Mindmaps
Date: Sun, 10 Feb 2013 23:32:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

Simply because:
-    first it is already in Debian and needs a maintainer;
-    secondly, I think freemind is a nice piece of software and it works
for me. I someone
     needs more modulair software then freeplane is the choise.
-    third: freeplane adds an additional 52MB extra (java) software. So
why should I need that? 

If someone can work with Gedit, why install Libreoffice? ;)

Just my 2 cts

On Sat, 2013-02-09 at 14:08 +0100, Reinhard Tartler wrote:

> On Sat, Feb 9, 2013 at 11:49 AM, Willem van den Akker
> <wvdakker@wilsoft.nl> wrote:
> > Package: wnpp
> > Severity: normal
> > X-Debbugs-CC: debian-devel@lists.debian.org
> >
> > I am using this package a lot and like to (co) maintain.
> > I have good experiences in C, some less in Java but that wont be
> > a problem because I can catch up fast.
> 
> Can you please elaborate why you think that we need both freemind and
> freeplane in Debian? Quoting from
> http://freeplane.sourceforge.net/wiki/index.php/Main_Page:
> 
> Freeplane was created because of problems with the popular open source
> mind mapping program Freemind. Freeplane has been refactored from
> Freemind to make its code and packages more modular, make it easier
> for new software developers to contribute to Freeplane development,
> and to release new versions of Freeplane more often.
> 
> Cheers,
> Reinhard
> 


[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Mon, 11 Feb 2013 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 11 Feb 2013 06:12:03 GMT) Full text and rfc822 format available.

Message #78 received at 622960@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Willem van den Akker <wvdakker@wilsoft.nl>
Cc: 622960@bugs.debian.org
Subject: Re: Bug#622960: ITA: freemind -- Java Program for creating and viewing Mindmaps
Date: Mon, 11 Feb 2013 07:08:21 +0100
On Sun, Feb 10, 2013 at 11:32 PM, Willem van den Akker
<wvdakker@wilsoft.nl> wrote:
> Hi,
>
> Simply because:
> -    first it is already in Debian and needs a maintainer;
> -    secondly, I think freemind is a nice piece of software and it works for
> me. I someone
>      needs more modulair software then freeplane is the choise.
> -    third: freeplane adds an additional 52MB extra (java) software. So why
> should I need that?

Points 2 and 3 seem valid to me, and would vastly the package
description if mentioned there.

>
> If someone can work with Gedit, why install Libreoffice? ;)

The comparison between gedit and libreoffice does not apply as they do
not, unlike freeplane and freemind, stem from a common codebase.

-- 
regards,
    Reinhard



Changed Bug title to 'ITA: freemind -- Java Program for creating and viewing' from 'RFA: freemind -- Java Program for creating and viewing Mindmaps' Request was from Willem van den Akker <wvdakker@wilsoft.nl> to control@bugs.debian.org. (Tue, 12 Feb 2013 22:45:03 GMT) Full text and rfc822 format available.

Owner recorded as Willem van den Akker <wvdakker@wilsoft.nl>. Request was from Willem van den Akker <wvdakker@wilsoft.nl> to control@bugs.debian.org. (Tue, 12 Feb 2013 22:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Thu, 14 Mar 2013 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Natter <fnatter@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Thu, 14 Mar 2013 17:33:05 GMT) Full text and rfc822 format available.

Message #87 received at 622960@bugs.debian.org (full text, mbox):

From: Felix Natter <fnatter@gmx.net>
To: "Laszlo Boszormenyi \(GCS\)" <gcs@debian.hu>, Willem van den Akker <wvdakker@wilsoft.nl>, Andrew Harvey <andrew.harvey4@gmail.com>
Cc: 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Freeplane package + JMapViewer dependency
Date: Thu, 14 Mar 2013 18:29:43 +0100
hi Laszlo, hi Willem, hi Andrew,

I am the Freeplane package maintainer. Freeplane 1.2.x for Debian will
soon be released (if I find a sponsor shortly after the 1.2.22/23
release is done), the source code is (temporarily) here if you need it
for the FreeMind package:
  https://github.com/fnatter/freeplane-debian/
(you also need these:
http://anonscm.debian.org/gitweb/?p=pkg-java/simplyhtml.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjsyntaxpane-java.git)

I am not sure whether we need freemind additionally, but I don't mind
helping a possible maintainer (the packaging source code above should
help a potential packager). One reason could be the FreeMind 1.0.0
collaboration mode, this feature is work in progress for Freeplane.

For the upcoming 1.3.x Freeplane release (upstream in a few months) I
also need the JMapViewer dependency.

I saw this bug report regarding JMapViewer (which I cc:):
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649226

Is someone taking care of JMapViewer for Debian?
(there is no activity since 2011:
http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary)

Thanks and Best Regards,
-- 
Felix Natter



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Fri, 15 Mar 2013 18:58:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Fri, 15 Mar 2013 18:58:59 GMT) Full text and rfc822 format available.

Message #92 received at 622960@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: Felix Natter <fnatter@gmx.net>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Fri, 15 Mar 2013 21:13:35 +1100
[Message part 1 (text/plain, inline)]
On 15/03/13 04:29, Felix Natter wrote:
> For the upcoming 1.3.x Freeplane release (upstream in a few months) I
> also need the JMapViewer dependency.
> 
> I saw this bug report regarding JMapViewer (which I cc:):
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649226
> 
> Is someone taking care of JMapViewer for Debian?
> (there is no activity since 2011:
> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary)

I've just pushed some updates to the packaging to clean it up and
updated to the latest upstream version.

I'm happy to maintain it (unless upstream makes big changes which make
harder to package). However a DD will need to sponsor it's upload if we
want it included in Debian.

Lastly, my apologies to Laszlo who offered to sponsor it's upload back
in August last year, but I never got around to fixing up the package.
Hopefully the latest updates I've made will mean it can be sponsored and
uploaded into Debian.

Thanks all for chasing up with me on this, hopefully my original
packaging effort will not have been in vain after all.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Fri, 15 Mar 2013 18:59:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Fri, 15 Mar 2013 18:59:01 GMT) Full text and rfc822 format available.

Message #97 received at 622960@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>
Cc: Felix Natter <fnatter@gmx.net>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Fri, 15 Mar 2013 15:32:03 +0000
On Fri, 2013-03-15 at 21:13 +1100, Andrew Harvey wrote:
> I've just pushed some updates to the packaging to clean it up and
> updated to the latest upstream version.
 Cool! I was beginning to think about hijacking it.

> I'm happy to maintain it (unless upstream makes big changes which make
> harder to package). However a DD will need to sponsor it's upload if we
> want it included in Debian.
> 
> Lastly, my apologies to Laszlo who offered to sponsor it's upload back
> in August last year, but I never got around to fixing up the package.
> Hopefully the latest updates I've made will mean it can be sponsored and
> uploaded into Debian.
 Sure, it looks OK. Still, there's some things to fix. Why do you use
Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.
Copyright format is now official, please use its format line[1].
BSD-2 license text lines are too long, please use a 80 chars width one.
It would be nice to 'beautify' debian/rules . The second line can show
the file format if set to: '# -*- makefile -*-'. Override targets should
be listed in the '.PHONY: ...' line at the end.
The debian/watch is essentially empty, delete it or make use of it.
Worst is that JMapViewer_Demo.jar is empty, contains only MANIFEST.MF .
Is it an upstream build problem?

Cheers,
Laszlo/GCS
[1] http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Sat, 16 Mar 2013 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Sat, 16 Mar 2013 22:39:04 GMT) Full text and rfc822 format available.

Message #102 received at 622960@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: Felix Natter <fnatter@gmx.net>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Sun, 17 Mar 2013 09:33:25 +1100
[Message part 1 (text/plain, inline)]
On 16/03/13 02:32, Laszlo Boszormenyi (GCS) wrote:
>  Sure, it looks OK. Still, there's some things to fix. Why do you use
> Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.

Changed.

> Copyright format is now official, please use its format line[1].
> BSD-2 license text lines are too long, please use a 80 chars width one.

Changed.

> It would be nice to 'beautify' debian/rules . The second line can show
> the file format if set to: '# -*- makefile -*-'. Override targets should
> be listed in the '.PHONY: ...' line at the end.

Changed. GNU Make manual suggests this should be before the definition
though...[1]

> The debian/watch is essentially empty, delete it or make use of it.

If you don't have a debian/watch lintian will tell you to either add
one, or add one with just comments explaining the situation.

> Worst is that JMapViewer_Demo.jar is empty, contains only MANIFEST.MF .
> Is it an upstream build problem?

Yes I noticed that lintian warning. I'm pretty sure this is how upstream
does it. If this is a problem, in the Debian package we can ignore the
upstream JMapViewer_Demo.jar and simply change our /usr/bin/jmapviewer
script to

    java -Djava.net.useSystemProxies=true -cp
/usr/share/java/jmapviewer.jar org.openstreetmap.gui.jmapviewer.Demo "$@"

Is this a better approach? It is a pretty easy change to make.

[1] https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Thu, 16 May 2013 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to colliar <colliar4ever@aol.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Thu, 16 May 2013 20:00:04 GMT) Full text and rfc822 format available.

Message #107 received at 622960@bugs.debian.org (full text, mbox):

From: colliar <colliar4ever@aol.com>
To: 649226@bugs.debian.org
Cc: 622960@bugs.debian.org, gcs@debian.hu, andrew.harvey4@gmail.com, dapal@debian.org
Subject: jmapviewer is used by JOSM
Date: Thu, 16 May 2013 21:50:59 +0200
[Message part 1 (text/plain, inline)]
On 17/03/13 09:33 Andrew Harvey wrote:
> On 16/03/13 02:32, Laszlo Boszormenyi (GCS) wrote:

Hey thanks for packaging jmapviewer

>>  Sure, it looks OK. Still, there's some things to fix. Why do you use
>> Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.
>
> Changed.

This will make it unusable for JOSM which includes jmapviewer so far but
hopefully will depend on this package soon. As there are plans to
backport josm jmapviewer would be needed in backports, too.

JOSM will switch to java7 but that will not be soon.

Cheers
colliar

[signature.asc (application/pgp-signature, attachment)]

Owner changed from Willem van den Akker <wvdakker@wilsoft.nl> to "Eric L." <ewl+debian+nospam2014@lavar.de>. Request was from "Eric L." <ewl+debian+nospam2014@lavar.de> to control@bugs.debian.org. (Sun, 16 Feb 2014 07:15:22 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"Eric L." <ewl+debian+nospam2014@lavar.de>' from 'Eric Lavarde <bugs.debian.nospam@lavar.de>' Request was from "Eric L." <ewl+debian+nospam2014@lavar.de> to control@bugs.debian.org. (Sun, 16 Feb 2014 07:18:09 GMT) Full text and rfc822 format available.

Owner changed from "Eric L." <ewl+debian+nospam2014@lavar.de> to Willem van den Akker <wvdakker@wilsoft.nl>. Request was from "Eric L." <ewl+debian+nospam2014@lavar.de> to control@bugs.debian.org. (Sun, 16 Feb 2014 07:51:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>:
Bug#622960; Package wnpp. (Thu, 27 Mar 2014 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Willem van den Akker <wvdakker@wilsoft.nl>. (Thu, 27 Mar 2014 21:48:05 GMT) Full text and rfc822 format available.

Message #118 received at 622960@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Willem van den Akker <wvdakker@wilsoft.nl>
Cc: 622960@bugs.debian.org, Eric Lavarde <bugs.debian.nospam@lavar.de>
Subject: ITA: freemind -- Java Program for creating and viewing
Date: Thu, 27 Mar 2014 22:43:54 +0100
[Message part 1 (text/plain, inline)]
Hello Willem,

do you still intend to adopt Freemind? I'm asking because I haven't seen
any progress on this bug report yet.

If you are not interested anymore, I suggest to revert the status back
to RFA. What do you think?

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622960; Package wnpp. (Fri, 28 Mar 2014 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willem van den Akker <wvdakker@wilsoft.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Mar 2014 14:18:04 GMT) Full text and rfc822 format available.

Message #123 received at 622960@bugs.debian.org (full text, mbox):

From: Willem van den Akker <wvdakker@wilsoft.nl>
To: Markus Koschany <apo@gambaru.de>, 622960@bugs.debian.org
Cc: Eric Lavarde <bugs.debian.nospam@lavar.de>
Subject: Re: Bug#622960: ITA: freemind -- Java Program for creating and viewing
Date: Fri, 28 Mar 2014 14:59:46 +0100
[Message part 1 (text/plain, inline)]
Hi,

Still intending to adopt it.
Have some other things now. If anyone wants to adopt it, it is fine by
me
otherwise I will continue it.

Regard,
Willem

On Thu, 2014-03-27 at 22:43 +0100, Markus Koschany wrote:

> Hello Willem,
> 
> do you still intend to adopt Freemind? I'm asking because I haven't seen
> any progress on this bug report yet.
> 
> If you are not interested anymore, I suggest to revert the status back
> to RFA. What do you think?
> 
> Regards,
> 
> Markus
> 


[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:11:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.